//
//  ViewController.m
//  SIKHttpRequestDemo
//
//  Created by Salman Iftikhar on 11/26/12.
//  Copyright (c) 2012 Salman Iftikhar. All rights reserved.
//

#import "ViewController.h"
#import "SIKHttpRequest.h"
#import "SIKHttpResponse.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


#pragma mark - send http request on main thread
- (IBAction)onSynchronousBtnClick:(id)sender{
    NSString *urlString = @"https://api.twitter.com/1/users/lookup.json?screen_name=samspalace";
    
    SIKHttpRequest *request = [[SIKHttpRequest alloc] requestWithString:urlString withDelegate:self];
    [request setDidFinishSelector:@selector(serverRequestSuccessWith:)];
    [request setDidFailSelector:@selector(serverRequestFailureWith:)];
    [request sendSynchronous];
    request = nil;
}

#pragma mark - send http request without blocking main thread
- (IBAction)onAsynchronousBtnClick:(id)sender{
    NSString *urlString = @"https://api.twitter.com/1/users/lookup.json?screen_name=samspalace";
    
    SIKHttpRequest *request = [[SIKHttpRequest alloc] requestWithString:urlString withDelegate:self];
    [request setDidFinishSelector:@selector(serverRequestSuccessWith:)];
    [request setDidFailSelector:@selector(serverRequestFailureWith:)];
    [request sendAsynchronous];
    request = nil;
}


- (void)serverRequestSuccessWith:(SIKHttpResponse *)response{
    UIAlertView *alert = [[UIAlertView alloc]initWithTitle:@"alert" message:[response responseString] delegate:self cancelButtonTitle:nil otherButtonTitles:@"Ok", nil];
    [alert show];
    response = nil;
    alert = nil;
}

- (void)serverRequestFailureWith: (NSError *)error{
    
    UIAlertView *alert = [[UIAlertView alloc]initWithTitle:[NSString stringWithFormat:@"%d",[error code]] message: [error localizedDescription] delegate:self cancelButtonTitle:nil otherButtonTitles:@"Ok", nil];
    [alert show];
    alert = nil;
}

@end
